Change log for python-pysaml2 package in Debian

18 of 8 results
Published in jessie-release on 2017-05-07
python-pysaml2 (2.0.0-1+deb8u1) jessie-security; urgency=medium

  * Fix XXE issues on anything where pysaml2 parses XML directly:
    - CVE-2016-10127: backporting upstream patch (Closes: #850716).
    - add python-defusedxml as runtime depends.
    - switch debian/gbp.conf to use debian/jessie as packaging branch.
  * Add python-pymongo as (build-)depends.

 -- Thomas Goirand <email address hidden>  Mon, 09 Jan 2017 16:54:24 +0100
Published in buster-release on 2017-07-17
Published in stretch-release on 2017-01-15
Published in sid-release on 2017-01-10
python-pysaml2 (3.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add upstream patch for XML External Entity attack (Closes: #850716).

 -- Thomas Goirand <email address hidden>  Mon, 09 Jan 2017 16:28:55 +0100
Superseded in stretch-release on 2017-01-15
Superseded in sid-release on 2017-01-10
python-pysaml2 (3.0.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <email address hidden>  Fri, 23 Oct 2015 23:48:31 +0000
Superseded in sid-release on 2015-10-24
python-pysaml2 (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <email address hidden>  Fri, 16 Oct 2015 10:34:56 +0000
Deleted in experimental-release (Reason: None provided.)
python-pysaml2 (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Updated watch file to use github tag and not broken pypi.

 -- Thomas Goirand <email address hidden>  Fri, 31 Jul 2015 08:47:57 +0000
Superseded in stretch-release on 2015-12-13
Superseded in sid-release on 2015-10-16
python-pysaml2 (2.4.0-2) unstable; urgency=medium

  * Makes build reproducible thanks to Juan Picca (Closes: #789751).

 -- Thomas Goirand <email address hidden>  Fri, 26 Jun 2015 15:41:09 +0200
Superseded in stretch-release on 2015-07-02
Superseded in sid-release on 2015-06-26
python-pysaml2 (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Dropped X-Python-Version: >= 2.7.
  * Standard-Versions: is now 3.9.6.
  * Also renames /usr/bin/merge_metadata.py as pysaml2-merge-metadata.

 -- Thomas Goirand <email address hidden>  Fri, 15 May 2015 17:48:07 +0200
Superseded in stretch-release on 2015-05-21
Superseded in jessie-release on 2017-05-07
Superseded in sid-release on 2015-05-15
python-pysaml2 (2.0.0-1) unstable; urgency=medium


  * Initial release. (Closes: #760824)

 -- Thomas Goirand <email address hidden>  Mon, 08 Sep 2014 16:11:53 +0800
18 of 8 results